// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package wallet

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/wallet/api/internal/logic/wallet"
	"juwan-backend/app/wallet/api/internal/svc"
	"juwan-backend/app/wallet/api/internal/types"
)

// 充值
func TopupHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.TopupReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wallet.NewTopupLogic(r.Context(), svcCtx)
		resp, err := l.Topup(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
